# UserInputType

The type of user input field. This is used to validate the user values provided when deploying a template.   - \"string\": A string based user input. E.g., `\"https://google.com\"`  - \"number\": A number based user input. E.g., `25.8`  - \"boolean\": A boolean based user input. E.g., `false`  - \"string[]\": A list of string based user inputs. E.g., `[\"someId\", \"someOtherId\"]`  - \"number[]\": A list of number based user inputs. E.g., `[1, 2.3, 5000]`  - \"boolean[]\": A list of boolean based user inputs. E.g., `[true, false]`  - \"any\": For any other user inputs that don't belong to the types listed above. E.g., `[{\"agentId\": 22}]`  

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


